Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1278293

Summary: Review Request: python-moss - Assorted utilities for neuroimaging and cognitive science
Product: [Fedora] Fedora Reporter: Igor Gnatenko <ignatenko>
Component: Package ReviewAssignee: Zbigniew Jędrzejewski-Szmek <zbyszek>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, zbyszek
Target Milestone: ---Flags: zbyszek: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-12-15 13:23:02 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1276871, 1276938    
Bug Blocks: 1276941    

Description Igor Gnatenko 2015-11-05 08:05:17 UTC
Spec URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-moss.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-moss-0.3.4-1.fc24.src.rpm
Description:
Moss is a library of functions, classes, and scripts to that may be useful for
analyzing scientific data. Because this package is developed for neuroimaging
and cognitive science, there is probably some bias towards applications that
are useful in that domain. However, the functions are intended to be written
in as general and lightweight a fashion as possible.
Fedora Account System Username: ignatenkobrain

Comment 1 Zbigniew Jędrzejewski-Szmek 2015-11-25 20:53:30 UTC
There's no need to package both scripts for both python2 and python3. The same as in other packages, scripts for python3 should be packaged.

Also, '#!/usr/bin/env /usr/bin/python3' should be replaced with '#!/usr/bin/python3'.

Comment 2 Igor Gnatenko 2015-11-25 20:55:17 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> There's no need to package both scripts for both python2 and python3. The
> same as in other packages, scripts for python3 should be packaged.
You will find this in all my submitted packages (which was submitted before you said me this) ;)
> 
> Also, '#!/usr/bin/env /usr/bin/python3' should be replaced with
> '#!/usr/bin/python3'.
yes, the same I will do in other pkgs.

Any other issues? Can we fix in importing stage?

Comment 3 Zbigniew Jędrzejewski-Szmek 2015-11-25 21:11:24 UTC
No other issues, but I wanted to check the updated package. Removing the scripts changes the automatically generated requires and there are often bugs lurking there.

Comment 5 Zbigniew Jędrzejewski-Szmek 2015-11-26 01:10:41 UTC
Some style *suggestions*:

pushd %{buildroot}%{_bindir}
  for mod in recon_status recon_movie check_mni_reg recon_process_stats ts_movie
  do
    sed -i '1s|^#!.*$|#!%{__python3}|' $mod
  done

  # Depends on 'freeview' utility
  rm -f {recon,warp}_qc
popd


can be written as

rm %{buildroot}%{_bindir}/{recon,warp}_qc
sed -i '1s|^#!.*$|#!%{__python3}|' %{buildroot}%{_bindir}/*



# Disable one of tests for now due to: https://github.com/mwaskom/moss/issues/17
sed -i -e '/def test_remove_by_group(self):/a \ \ \ \ \ \ \ \ from nose.plugins.skip import SkipTest; raise SkipTest("https://github.com/mwaskom/moss/issues/17")' moss/tests/test_statistical.py

can be written as

nosetests-%{python2_version} -v -x test_remove_by_group || :
nosetests-%{python3_version} -v -x test_remove_by_group || :


- license is OK
- license file is present and %license is used
- build follows new python guidelines
- requirements and provides are sane
- rpmlint has nothing interesting to say:
python2-moss.noarch: E: explicit-lib-dependency python-matplotlib
python2-moss.noarch: W: spelling-error Summary(en_US) neuroimaging -> micromanaging
python2-moss.noarch: W: spelling-error %description -l en_US neuroimaging -> micromanaging
python3-moss.noarch: E: explicit-lib-dependency python3-matplotlib
python3-moss.noarch: W: spelling-error Summary(en_US) neuroimaging -> micromanaging
python3-moss.noarch: W: spelling-error %description -l en_US neuroimaging -> micromanaging
python3-moss.noarch: W: python-bytecode-without-source /usr/lib/python3.5/site-packages/moss/__pycache__/leastsqbound.cpython-35.opt-1.pyc
...
python3-moss.noarch: W: no-manual-page-for-binary check_mni_reg
python3-moss.noarch: W: no-manual-page-for-binary recon_status
python3-moss.noarch: W: no-manual-page-for-binary ts_movie
python3-moss.noarch: W: no-manual-page-for-binary recon_movie
python3-moss.noarch: W: no-manual-page-for-binary recon_process_stats
python-moss.src: W: spelling-error Summary(en_US) neuroimaging -> micromanaging
python-moss.src: W: spelling-error %description -l en_US neuroimaging -> micromanaging
3 packages and 0 specfiles checked; 2 errors, 27 warnings.

Package is APPROVED.

Comment 6 Till Maas 2015-11-26 21:34:16 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-moss

Comment 7 Fedora Update System 2015-12-06 11:48:53 UTC
python-moss-0.3.4-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-a13b5923fb

Comment 8 Fedora Update System 2015-12-06 23:51:23 UTC
python-moss-0.3.4-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-moss'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-a13b5923fb

Comment 9 Fedora Update System 2015-12-15 13:23:00 UTC
python-moss-0.3.4-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.